@use "bio";
@use "interests-education";
@use "skills";
@use "classes";
@use "stylesheets/variables" as *;

@font-face {
    font-family: "Arvo-Regular";
    font-weight: 400;
	font-style: normal;
	font-display: swap;
    /* Read next point */
    unicode-range: U+000-5FF;
    /* Download only latin glyphs */
    src: local("Arvo-Regular"), url("/fonts/arvo/arvo-regular.woff") format("woff");
}

@font-face {
    font-family: "Oswald";
    font-weight: 400;
	font-style: normal;
	font-display: swap;
    /* Read next point */
    unicode-range: U+000-5FF;
    /* Download only latin glyphs */
    src: local("Oswald"), url("/fonts/oswald/Oswald-Regular.woff") format("woff");
} 
    
#interests-education {
    grid-area: interests-education;
}

#skills {
    grid-area: skills;
}

#experience {
    grid-area: experience;
}

main {
    display: grid;
    grid-template-areas:    "header"
                            "bio"
                            "interests-education"
                            "skills"
                            "experience";
    justify-items: center;
    margin: 0 10% 0 10%;
    font-family: Oswald, sans-serif;
    font-size: v.$body-font-size;
}

p {
    
    line-height: 1.45;
    margin-top: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: Arvo-Regular;
}